html, body, #photo_gallery_app_container, #main_container {
    width: 100%;
    height: 100%;
}

#main_container {
    min-width: 1100px;
    min-height: 490px;
    position: relative;
}
.body-padding
{
    line-height: 1.42857143;
}

.body-padding .header-mylmsoft
{
    position: fixed;
}
#main_container .well {
    padding: 0px;
    margin: 0px;
    background-color: white;
}

#menu_navbar_container {
    margin: 0px;
}

#menu_navbar_container .container {
    width: 100%;
}

#menu_navbar_container .navbar-brand {
    overflow: hidden;
    max-width: 300px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#menu_navbar_container.navbar-default .navbar-nav>li>a {
    font-size: 16px;
}

#header_container {
    width: 100%;
    height: 132px;
}

#menu_settings_container {
    width: 100%;
    height: 80px;
    position: relative;
    background-color: #eee !important;
}

#shortcut_buttons_container {
    width: 220px;
    height: 100%;
    position: absolute;
    left:0px;
    top: 0px;
    border-right: 2px solid #e3e3e3;
    border-radius: 0;
}
#shortcut_buttons_container .btn-group .btn
{
    padding: 9px 0;
    border-radius: 0;
    border-left: 0;
    border-bottom: 0;
}
#shortcut_buttons_container .btn-group > .btn:last-child:not(:first-child),
#shortcut_buttons_container .btn-group > .dropdown-toggle:not(:first-child)
{
    border-right: 0;
}

#shortcut_buttons_container .glyphicon-floppy-disk,
#shortcut_buttons_container .fa-floppy-o
{
    color: rgb(20, 100, 190);
}
#shortcut_buttons_container .glyphicon-plus-sign,
#shortcut_buttons_container .fa-plus
{
    color: forestgreen;
}

#shortcut_buttons_container .glyphicon-trash,
#shortcut_buttons_container .fa-trash
{
    color: #d60f0a;
}

#shortcut_buttons_container table {
    margin: 1px auto;
}

#shortcut_buttons_container table button {
    margin: 2px;
}

#core_container {
    position: absolute;
    top: 132px;
    bottom: 0px;
    width: 100%;
}

#settings_buttons_container {
    height: 100%;
    position: absolute;
    left: 220px;
    right: 0px;
    overflow: hidden;
    padding-left: 10px;
    overflow: visible;
    padding-right: 100px;
}

#settings_buttons_container table {
    text-align: center;
    width: 100%;
    table-layout: fixed;
}
#settings_buttons_container  .btn-settings {
    width: auto;
    height: 75px;
    text-align: center;
}
#settings_buttons_container table .btn {
    width: 52px;
    height: 52px;
    margin: 2px auto;
    display: block;
    float: none;
}


#settings_buttons_container .title {
    /*display: block;*/
    font-size: 13px;
}

#settings_buttons_container .btn-group ul.dropdown-menu li.selected {
  background-color: #DDEFFF;
}

#thumbnails_section {
    position: absolute;
    left: 0px;
    top:0px;
    bottom: 0px;
    width: 220px;
    overflow-y: scroll;
    background-color: #eee !important;
}

#thumbnails_section #thumbnails_container {
    width: 153px;
    margin: auto;
}

#thumbnails_section #thumbnails_container #thumbnail_numbers_container {
    width: 20px;
    float: left;
}

#thumbnails_section #thumbnails_container #thumbnail_images_container {
    width: 133px;
    float: left;
}

#thumbnails_section #thumbnails_container #thumbnail_numbers_container .thumbnail-number {
    width: 20px;
    height: 100px;
    line-height: 100px;
    margin: 10px 0;
}

#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image {
    width: 133px;
    height: 100px;
    margin: 10px 0;
    border: 2px solid #ccc;
    border-radius: 4px;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.05);
    padding: 1px;
    cursor: pointer;
    background:#ececec  no-repeat center center;
}

/*#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image.selected {
    border-color: #00bea0;
}*/

#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image.is-default
{
    /*box-shadow: inset 0 0 38px 30px rgba(210, 255, 0, 0.21);*/
}

#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image.is-default .fa
{
    color: rgb(239, 255, 0);
    text-shadow: 0 0 2px #8C8C8C;
}

#preview_options_container {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 220px;
    right: 0px;
}

#preview_container {
    position: absolute;
    top: 0px;
    bottom: 140px;
    width: 100%;
}

#image_options_container {
    position: absolute;
    bottom: 0px;
    width: 100%;
    height: 140px;
    background-color: #f8f8f8 !important;
}

#image_settings_container {
    position: absolute;
    left: 0px;
    right: 280px;
    height: 100%;
    padding-right: 10px;
}

#image_edit_container {
    float: left;
    height: 100%;
    width: 100px;
    padding: 40px 20px;
}

#image_edit_container .btn-group button{
    margin-bottom: 10px;
}

#image_edit_container .title{
    display: block;
    text-align: center;
}

#image_fields_container{
    overflow: auto;
}

#image_link_container {
    width: 100%;
}

#image_description_container {
    width: 100%;
}

#image_settings_container table {
    width: 100%;
}

#image_settings_container table .btn-lg {
    text-align: center;
    width: 105px;
    height: 100%;
    padding: 0px;
}

#image_settings_container table .btn-lg .title {
    display: block;
    font-size: 14px;
}

#image_link_container, #image_description_container {
    margin: 11px 0px;
}

#image_link_container {
    margin-top: 20px;
}

#image_effects_container {
    position: absolute;
    right: 0px;
    width: 280px;
    padding: 0 15px;
    height: 100%;
    text-align: center;
}

#image_effects_container .wrapper {
    margin: 0 auto;
    margin-top: 8px;
}

#image_effects_container table  {
    margin: 0 auto;
    height: 95px;
    margin-bottom: 5px;
}

#image_effects_container table button {
    width: 70px;
    margin: 0px 5px;
}

#image_effects_container table button .title {
    display: block;
    font-size: 10px;
}

#images_effects_title {
    background-color: #ccc;
}

.royalSlider {
    width: 100%;
    height: 100%;
}

#layout_modal .modal-header .modal-title {
    text-align: center;
}

#layout_modal .modal-body table.layout-options {
    width: 100%;
    margin: 0 auto;
    text-align: center;
}

#layout_modal .modal-body table.layout-options,
#layout_modal .modal-body table.layout-options tr,
#layout_modal .modal-body table.layout-options td {
    border: 1px dotted black;
    padding: 5px;
}

#layout_modal .modal-body table.layout-options .layout-option {
    height: 230px;
    cursor: pointer;
    background-repeat: no-repeat;
    background-size: cover;
    color: #ffffff;
    font-weight: bold;
}

#layout_modal .modal-body table.layout-options .layout-option#layout_option_normal {
    background-image: url("../../bundles/lmsoftwebservicesphotogallery/images/layouts/image_galery_normal.jpg");
}

#layout_modal .modal-body table.layout-options .layout-option#layout_option_nearby {
    background-image: url("../../bundles/lmsoftwebservicesphotogallery/images/layouts/image_galery_nearby.jpg");
}

#layout_modal .modal-body table.layout-options .layout-option#layout_option_horizontal_thumbnails {
    background-image: url("../../bundles/lmsoftwebservicesphotogallery/images/layouts/image_galery_horizontal.jpg");
}

#layout_modal .modal-body table.layout-options .layout-option#layout_option_vertical_thumbnails {
    background-image: url("../../bundles/lmsoftwebservicesphotogallery/images/layouts/image_galery_vertical.jpg");
}

.navbar-nav>li>.dropdown-menu div.checkbox {
    margin: 0px 0px 0px 20px;
}

.dropdown-menu {
    min-width: 180px;
}

div.upload-checkbox-option label {
    position: relative;
    top: 1px;
    font-weight: normal;
}

button.auto-close {
    position: relative;
    top: 4px;
    margin-left: 20px;
}

/*****  Album modal  ******/
.modal.album-modal .modal-dialog
{
    width: 90%;
}
.modal.album-modal .modal-header
{
    color: #ffffff;
    border-bottom:0;
}

.modal.album-modal .modal-header .close {
    float: right;
    font-size: 41px;
    font-weight: bold;
    line-height: 1;
    color: rgb(250, 250, 250);
    margin-top: -17px;
    opacity: 0.8;
}
.modal.album-modal .modal-content
{
    border: 0;
    box-shadow: none;
    webkit-box-shadow:none;
    background-color: transparent;
}

.modal.album-modal .album-thumbnail
{
    position: relative;
    vertical-align: top;
    display: inline-block;
    width: 30%;
    min-height: 100px;
    height: auto;
    cursor: pointer;
    border: 1px solid transparent;
    background-color: rgba(255, 255, 255, 0.95);
    margin: 10px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
}
.modal.album-modal .album-thumbnail .status-bar
{
    position: relative;
    top:0;
    left: 0;
    right: 0;
    height: 30px;
    padding: 5px;
}
.modal.album-modal .album-thumbnail .status-bar .fa
{
    font-size: 18px;
    margin-left: 5px;
}
.modal.album-modal .album-thumbnail:hover
{
    border: 1px solid #00bea0;
}
.modal.album-modal .album-thumbnail .caption,
.modal.album-modal .album-thumbnail .caption a
{
    color: #000000;
    font-size: 25px;
    text-align: center;
}
.modal.album-modal .album-image-container
{
    position: relative;
    width: 100%;
    padding: 0;
}

.modal .caption a.btn{
    white-space: normal;
}

.modal.album-modal .album-image-container .album-image
{
    position: relative;
    margin:0;
    min-height: 100px;
    padding: 0;
    height: 270px;
    width: 100%;
    border-radius: 0;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
.modal.album-modal .album-image-container .album-image-cover
{
    background-size: cover;
}
.modal.album-modal .album-image-container .col-3 .album-image
{
    width: 32%;
    height: 50px;
    display: inline-block;
}
.modal.album-modal .album-image-container .col-2 .album-image
{
    width: 49%;
    height: 80px;
    display: inline-block;
}
.modal.album-modal .album-image-container .col-1 .album-image
{
    width: 100%;
    height: 300px;
}

.modal.album-modal .album-image-container .col-list
{
    position: absolute;
    width: 100%;
    overflow: hidden;
    height: 70px;
    bottom: 0;
    text-align: center;
    padding: 5px 0;
    background-color: rgba(0, 0, 0, 0.4);

}
.modal.album-modal .album-image-container .col-list .album-image
{
    width: 75px;
    height: 60px;
    text-align: center;
    min-height: 60px;
    display: inline-block;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    opacity: 0.9;
    margin-right: 5px;
    background-size: cover;
}

.modal.album-modal .album-image-container .col-list .album-image:hover
{
    opacity: 1.0;
}

/*****  Order album modal  ******/
.modal.order-album-modal .modal-dialog
{
    width: 75%;
}
.modal.order-album-modal .modal-header
{
    border-bottom:0;
}

.modal.order-album-modal .modal-header .close {
    float: right;
    font-size: 41px;
    font-weight: bold;
    line-height: 1;
    margin-top: -17px;
    opacity: 0.8;
}
.modal.order-album-modal .modal-content
{
    border: 0;
    box-shadow: none;
    webkit-box-shadow:none;
}

.modal.order-album-modal .album-thumbnail
{
    position: relative;
    vertical-align: top;
    display: inline-block;
    width: 23%;
    min-height: 75px;
    height: auto;
    cursor: pointer;
    border: 1px solid transparent;
    background-color: rgba(255, 255, 255, 0.95);
    margin: 10px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    border: 1px solid #cccccc;
}

.modal.order-album-modal .album-thumbnail:hover
{
    border: 1px solid #00bea0;
}
.modal.order-album-modal .album-thumbnail .caption,
.modal.order-album-modal .album-thumbnail .caption a
{
    color: #000000;
    font-size: 25px;
    text-align: center;
}
.modal.order-album-modal .album-image-container
{
    position: relative;
    width: 100%;
    padding: 0;
}

.modal.order-album-modal .album-image-container .album-image
{
    position: relative;
    margin:0;
    min-height: 75px;
    padding: 0;
    height: 158px;
    width: 100%;
    border-radius: 0;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.modal.order-album-modal .album-image-container .album-image-cover
{
    background-size: cover;
}

.rsDefault .rsBullet {
    width: 10px;
    height: 12px;
    padding: 2px;
}

.modal .modal-footer .options{
    clear: both;
    display: block;
    text-align: left;
}

.modal .modal-footer .options input{
    margin-right: 7px;
}

.modal .modal-footer .options label{
    float:left;
    margin-right: 20px;
    cursor: pointer;
}

@media screen and (max-width: 800px)
{
    .modal.album-modal .album-thumbnail
    {
        width: 45%;
    }
    .modal.album-modal .album-thumbnail .caption,
    .modal.album-modal .album-thumbnail .caption a
    {
        font-size: 20px;
    }

}

@media screen and (max-width: 550px)
{
    .modal.album-modal .album-thumbnail
    {
        width: 90%;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
    .modal.album-modal .album-thumbnail .caption,
    .modal.album-modal .album-thumbnail .caption a
    {
        font-size: 25px;
    }
}

.rsNavSelected .greenTmb {
    height: 100%;
    background-color: #02874a;
    opacity: 0.6;
    filter: alpha(opacity=60);
}

#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image.ui-sortable-selected,
#thumbnails_section #thumbnails_container #thumbnail_images_container .thumbnail-image.selected,
.ui-sortable-selected {
    border: 1px solid #00bea0;
}